"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.builder = exports.usage = exports.desc = exports.command = void 0;
const helpers_1 = require("../../../helpers");
exports.command = 'create';
exports.desc = 'create a git resouce';
exports.usage = 'Usage: $0 create <resource> [options]';
exports.builder = (yargs) => yargs
    .commandDir('../create', {
    extensions: ['cmd.js', 'cmd.ts'],
})
    .demandCommand(2, helpers_1.errormsg `must specify the resource type`)
    .option('output', {
    alias: 's',
    describe: 'Where to save the command output to',
    defaultDescription: 'prints stdout',
    type: 'string'
})
    .example(`$0 ${exports.command} webhook -o some-owner -r some-repo -e http://some-endpoint/webhooks -s secret`, 'Will create a webhook for repo: "some-owner/some-repo');
//# sourceMappingURL=create.cmd.js.map