"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.builder = exports.usage = exports.desc = exports.command = void 0;
const helpers_1 = require("../../../helpers");
exports.command = 'delete';
exports.desc = 'delete a git resouce';
exports.usage = 'Usage: $0 delete <resource> [options]';
exports.builder = (yargs) => yargs
    .commandDir('../delete', {
    extensions: ['cmd.js', 'cmd.ts'],
})
    .demandCommand(2, helpers_1.errormsg `must specify the resource type`)
    .option('output', {
    alias: 's',
    describe: 'Where to save the command output to',
    defaultDescription: 'prints stdout',
    type: 'string'
})
    .example(`$0 ${exports.command} webhook -o some-owner -r some-repo --id someid`, 'Will delete a webhook for repo: "some-owner/some-repo with the id: "someid"');
//# sourceMappingURL=delete.cmd.js.map