#!/usr/bin/env node
"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
const yargs = __importStar(require("yargs"));
const helpers_1 = require("../helpers");
const __1 = require("../");
process.on('uncaughtException', helpers_1.exitWithError);
process.on('unhandledRejection', helpers_1.exitWithError);
(async () => {
    return yargs
        .env('CF_')
        .option('git-context', {
        description: 'The git-context object in json format',
        demand: helpers_1.errormsg `must provide "git-context" object as a json object (may be encoded in base64)`,
    })
        .option('insecure', {
        alias: ['i'],
        type: 'boolean',
        description: 'Will disable certificate validation for tls connections',
        default: false,
    })
        .option('timeout', {
        type: 'number',
        description: 'Request timeout (ms)',
        default: 10000,
    })
        .coerce({
        'git-context': helpers_1.parseGitContext,
    })
        .middleware([async (argv) => {
            const gitContext = argv.gitContext;
            const [getProviderErr, provider] = await helpers_1.to(__1.getProviderByContext(gitContext, {
                insecure: argv.insecure,
                timeout: argv.timeout,
            }));
            if (getProviderErr) {
                helpers_1.exitWithError(`invalid provider: ${getProviderErr}`);
            }
            argv.provider = provider;
        }])
        .wrap(Math.min(100, yargs.terminalWidth()))
        .usage('Usage: $0 <command> [Options]')
        .commandDir('commands/root', {
        extensions: ['cmd.js', 'cmd.ts'],
    })
        .demandCommand(1, helpers_1.errormsg `need to use at least one command`)
        .scriptName('cgp')
        .version()
        .argv;
})();
//# sourceMappingURL=index.js.map